summaryrefslogtreecommitdiffstats
path: root/wfenginemgrservice/src/main/docker/bin/entrypoint.sh
diff options
context:
space:
mode:
Diffstat (limited to 'wfenginemgrservice/src/main/docker/bin/entrypoint.sh')
-rw-r--r--wfenginemgrservice/src/main/docker/bin/entrypoint.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/wfenginemgrservice/src/main/docker/bin/entrypoint.sh b/wfenginemgrservice/src/main/docker/bin/entrypoint.sh
index f5d8d8c..2a610c0 100644
--- a/wfenginemgrservice/src/main/docker/bin/entrypoint.sh
+++ b/wfenginemgrservice/src/main/docker/bin/entrypoint.sh
@@ -3,6 +3,36 @@
# $1, $2, $3 etc are passed arguments
# $1 is our command
CMD=$1
+
+if [ -z "$SERVICE_IP" ]; then
+ export SERVICE_IP=`hostname -i`
+fi
+echo "SERVICE_IP=$SERVICE_IP"
+
+if [ -z "$SERVICE_PORT" ]; then
+ export SERVICE_PORT=10550
+fi
+echo "SERVICE_PORT=$SERVICE_PORT"
+
+if [ -z "$OPENPALETTE_MSB_IP" ]; then
+ echo "Missing required variable OPENPALETTE_MSB_IP: Microservices Service Bus address <ip>:<port>"
+ exit 1
+fi
+if [ -z "$OPENPALETTE_MSB_PORT" ]; then
+ echo "Missing required variable OPENPALETTE_MSB_PORT: Microservices Service Bus address <ip>:<port>"
+ exit 1
+fi
+echo "MSB_ADDR=${OPENPALETTE_MSB_IP}:${OPENPALETTE_MSB_PORT}"
+
+# Wait for MSB initialization
+echo "Wait for MSB initialization"
+for i in {1..5}; do
+ curl -sS -m 1 ${OPENPALETTE_MSB_IP}:${OPENPALETTE_MSB_PORT} > /dev/null && break
+ sleep $i
+done
+
+curl -X POST --data '{"serviceName": "workflow","version": "v1","url": "/api/workflow/v1/","protocol": "REST","visualRange": "1","nodes": [{"ip": "${SERVICE_IP}","port": "${SERVICE_PORT}","ttl": 0}]}' http://${OPENPALETTE_MSB_IP}:${OPENPALETTE_MSB_PORT}/api/microservices/v1/services -H "Accept: Application/json" -H "Content-Type:application/json"
+
case "$CMD" in
"dev" )
;;